﻿@model ExternalLoginConfirmationViewModel
@{
    ViewData["Title"] = "Register";
}

<div id="login" class="col-lg-4 col-lg-offset-4">
    <div class="col-lg-8 col-lg-offset-2">
        <div>
            <h3>Register</h3>
        </div>

        <form asp-controller="Auth" asp-action="ExternalLoginConfirmation" asp-route-returnurl="@ViewData["ReturnUrl"]" method="post">
            <div asp-validation-summary="All" class="text-danger"></div>
            <p class="text-info">
                You've successfully authenticated with <strong>@ViewData["LoginProvider"]</strong>.
                Please enter an email address and a username for this site below and click the Register button to finish
                logging in.
            </p>

            <div>
                <div class="form-group">
                    <input asp-for="Email" class="form-control" placeholder="Email" />
                    <span asp-validation-for="Email" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <input asp-for="Username" class="form-control" placeholder="Username" />
                    <span asp-validation-for="Username" class="text-danger"></span>
                </div>

                <div class="form-group">
                    <button type="submit" data-toggle="tooltip" title="Register" class="btn btn-default btn-lg">
                        <i class="fa fa-sign-in"></i>
                    </button>
                </div>
            </div>
        </form>

    </div>
</div>

@section scripts{
    <script type="text/javascript" src="~/lib/jquery/dist/jquery.min.js"></script>
    <script type="text/javascript" src="~/lib/jquery-validation/dist/jquery.validate.min.js"></script>
    <script type="text/javascript" src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.min.js"></script>
}